Using Lat/Lon to Get LAA
Lat/Lon to L.A.A.
Lightcast created a taxonomy to normalize different standards of global areas in order to provide global data with a consistent and standardized mapping that corresponds with the local governmental definitions. We call this global taxonomy Lightcast Administrative Areas (LAA). You can read more about that here.
Getting the L.A.A.
In this example we will use the Geography API with a lat/lon near Paris to get the LAA metro name to use in a subsequent call. It includes the lat, lon, and a distance area to limit the search radius.
Code Example
curl -X POST "https://emsiservices.com/gis/v1/laa/2026.3/metro/closest" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"lat": 48.8567,
"lon": 2.3522,
"maxDistance": 70,
"maxDistanceUnit": "miles",
"calculationType": "planar"
}'Response Example
{
"codes": [
"FR001MC"
]
}Using the LAA with Postings
We now have the LAA metro code for Paris, France. We can now use that in subsequent Profile or Posting API calls. Below is an example of using it with Postings.
Code Example
curl -X POST "https://emsiservices.com/global-postings/postings" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"filter": {
"when": {
"start": "2025-06",
"end": "2026-05"
},
"laa_metro": ["FR001MC"]
},
"fields": [
"id",
"posted",
"expired",
"body",
"city_name",
"company_name",
"title_raw",
"score"
],
"order": [
"score"
],
"limit": 2
}'Response Example
{
"data": {
"limit": 2,
"page": 1,
"pages_available": 5,
"postings": [
{
"body": "<!--id: f29578c246debce1c2061a39a505459167ba214c-->Vert l'Intérim recherche activement pour ses clients des jardiniers paysagistes (H/F), avec le sens du travail en équipe pour des chantiers d'entretien ou de création en espaces verts. En Création : Préparation des sols (Terrassement, drainage, bêchage, désherbage, plantation de végétaux) Engazonnement (semi et/ou placage de gazon) Plantations (petits et gros sujets) <h5>En Entretien :</h5> Taille d'arbustes et de haies Nettoyage de massifs / Débroussaillage /Tonte",
"city_name": "Argenteuil, Val-D'Oise",
"company_name": "Mairie De Paris",
"expired": "2026-03-15",
"id": "f29578c246debce1c2061a39a505459167ba214c",
"posted": "2025-12-31",
"score": 2.0,
"title_raw": "Jardinier Paysagiste H/F"
},
{
"body": "<!--id: 4b586318efafd8f6f62bc7aee392320e820ce68e-->Boulanger H/F Destination Gourmande 2 route Nationale, 78270 Rolleboise",
"city_name": "Rolleboise, Yvelines",
"company_name": "Destination Gourmande",
"expired": "2026-03-31",
"id": "4b586318efafd8f6f62bc7aee392320e820ce68e",
"posted": "2025-12-31",
"score": 2.0,
"title_raw": "Boulanger H/F"
}
],
"unique_postings": 2865479,
"viewable_postings": 2865479
}
}
